# Security Policy

## Supported Versions

Currently, these versions of C4F are supported with security updates:

| Version | Supported          |
|---------|--------------------|
| 2.0.x   | :white_check_mark: |

## Reporting a Vulnerability

If you discover a security vulnerability in C4F, please follow these steps:

1. **Do not** disclose the vulnerability publicly until it has been addressed.
2. Email the details to [ahmedmuhamed239@gmail.com](mailto:ahmedmuhamed239@gmail.com) with the subject "C4F Security Vulnerability".
3. Include as much information as possible about the vulnerability:
   - Steps to reproduce
   - Potential impact
   - Suggested fixes (if any)

## Response Process

When a vulnerability is reported:

1. You will receive acknowledgment of your report within 48 hours.
2. We will investigate and determine the scope and impact of the issue.
3. We will work on a fix and release it as soon as possible, depending on severity.
4. Once fixed, we will publicly acknowledge your responsible disclosure (unless you prefer to remain anonymous).

## Security Considerations

C4F makes API calls to external AI services through the g4f library. While we strive to ensure the security of these interactions, be aware of the following:

- Be cautious about the content of code you analyze with the tool
- The AI models may have their own privacy and security considerations
- Regular updates are recommended to get the latest security patches

Thank you for helping keep C4F and its users secure!